Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.index.chain
Class MonotoneChainOverlapAction

    java.lang.Object
      com.vividsolutions.jts.index.chain.MonotoneChainOverlapAction

Direct Known Subclasses:
  MCIndexNoder.SegmentOverlapAction, MCIndexSegmentSetMutualIntersector.SegmentOverlapAction

    public class MonotoneChainOverlapAction

extends java.lang.Object

The action for the internal iterator for performing overlap queries on a MonotoneChain

Version:
  1.7

Field Summary
`protected LineSegment` | `overlapSeg1`
`protected LineSegment` | `overlapSeg2`

Constructor Summary
`MonotoneChainOverlapAction()`

Method Summary
`void` | `overlap(LineSegment seg1, LineSegment seg2)` This is a convenience function which can be overridden to obtain the actual line segments which overlap
`void` | `overlap(MonotoneChain mc1, int start1, MonotoneChain mc2, int start2)` This function can be overridden if the original chains are needed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### overlapSeg1

    protected LineSegment overlapSeg1

### overlapSeg2

    protected LineSegment overlapSeg2

Constructor Detail

### MonotoneChainOverlapAction

    public MonotoneChainOverlapAction()

Method Detail

### overlap

    public void overlap(MonotoneChain mc1,
                        int start1,
                        MonotoneChain mc2,
                        int start2)

  This function can be overridden if the original chains are needed

  Parameters:
    `start1` - the index of the start of the overlapping segment from mc1
    `start2` - the index of the start of the overlapping segment from mc2

### overlap

    public void overlap(LineSegment seg1,
                        LineSegment seg2)

  This is a convenience function which can be overridden to obtain the actual line segments which overlap

  Parameters:
    `seg1` -
    `seg2` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD